import { Vector3 } from "three";
import { RoomHolePolyline } from "../../Entity/Wall/Hole/RoomHolePolyline";
/**
 * 用于解析和修改2点洞位置的类
 */
export declare class RoomIHoleParseAndModify {
    hole: RoomHolePolyline;
    private _LeftDist;
    private _RightDist;
    private _TopDist;
    private _BottomDist;
    private _GetParam;
    private _Wall;
    private _Length;
    private _WallLength;
    private _RangeStart;
    private _RangeLength;
    private _IsReverse;
    constructor(hole: RoomHolePolyline);
    get LeftDist(): number;
    get RightDist(): number;
    get TopDist(): number;
    get BottomDist(): number;
    set LeftDist(value: number);
    set RightDist(value: number);
    set BottomDist(value: number);
    set TopDist(value: number);
    set Length(newLength: number);
    set Height(newHeight: number);
    get MaxLeftDist(): number;
}
export declare class RoomLHoleParseAndModify {
    hole: RoomHolePolyline;
    private _LeftDist;
    private _RightDist;
    private _TopDist;
    private _BottomDist;
    private _Wall;
    MaxLeftDist: number;
    MaxRightDist: number;
    leftDir: Vector3;
    rightDir: Vector3;
    constructor(hole: RoomHolePolyline);
    get LeftDist(): number;
    set LeftDist(value: number);
    get RightDist(): number;
    set RightDist(value: number);
    set BottomDist(value: number);
    set TopDist(value: number);
    set Height(newHeight: number);
}
//# sourceMappingURL=RoomIHoleParseAndModify.d.ts.map